Get Agent Update History
Use this endpoint to retrieve all agent environment update history
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER
Request
URI
GET
https://{api_host}/updatemanager/environments/{id}/history
COPY
Path Parameters
string
id
Required
ID of the agent environment
Query Parameters
integer
page
Optional
Zero-based page index (0..N)
integer
size
Optional
The size of the page to be returned
string of
array
sort
Optional
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
OK
Returns
PagedModelListViewAgentUpdateHistoryDto
of type(s)
application/vnd.vmware.dms-v1+json
{
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
],
"content": [
{
"id": "string",
"currentVersion": "string",
"targetVersion": "string",
"vamiRepoPath": "string",
"vamiRebootRequired": false,
"requestType": "string",
"status": "string",
"createdTime": "string",
"lastUpdatedTime": "string",
"masterTaskId": "string",
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
]
}
],
"page": {
"size": 0,
"totalElements": 0,
"totalPages": 0,
"number": 0
}
}
On This Page
Agent's Environment Update Operations
GET
Get Agent Update History
GET
Get Agent Updates
POST
Initiate Agent Update